Bug 1624362 - perl-re-engine-PCRE2-0.14-5.fc30 FTBFS: t/perl/regexp.t fails with pcre2-10.32
Summary: perl-re-engine-PCRE2-0.14-5.fc30 FTBFS: t/perl/regexp.t fails with pcre2-10.32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-re-engine-PCRE2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-31 10:45 UTC by Petr Pisar
Modified: 2018-10-31 15:51 UTC (History)
2 users (show)

Fixed In Version: perl-re-engine-PCRE2-0.14-6.fc30 perl-re-engine-PCRE2-0.14-3.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-31 15:24:28 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github rurban re-engine-PCRE2 issues 31 0 None None None 2018-08-31 11:20:22 UTC

Description Petr Pisar 2018-08-31 10:45:30 UTC
perl-re-engine-PCRE2-0.14-5.fc30 fails to build in F30 because a test fails:

t/perl/pat.t .............. ok
t/perl/regexp.t ........... 
Failed 4/1996 subtests 
	(less 215 skipped subtests: 1777 okay)

This is probably triggered by upgrading pcre2 from 10.31 to 10.32.

Comment 1 Petr Pisar 2018-09-14 09:10:34 UTC
Two of the failures were fixed in 10.32. Another two failures are not bug in PCRE2. re-engine-PCRE2 upstream adjusted tests.

Comment 2 Fedora Update System 2018-09-14 09:29:55 UTC
pcre2-10.32-1.fc29 perl-re-engine-PCRE2-0.14-6.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4fb5569365

Comment 3 Fedora Update System 2018-09-14 09:30:52 UTC
pcre2-10.32-1.fc28 perl-re-engine-PCRE2-0.14-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8217a06c3a

Comment 4 Fedora Update System 2018-09-14 20:01:01 UTC
pcre2-10.32-1.fc29, perl-re-engine-PCRE2-0.14-6.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4fb5569365

Comment 5 Fedora Update System 2018-09-14 23:49:12 UTC
pcre2-10.32-1.fc28, perl-re-engine-PCRE2-0.14-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8217a06c3a

Comment 6 Fedora Update System 2018-09-27 13:36:38 UTC
perl-re-engine-PCRE2-0.14-6.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4fb5569365

Comment 7 Fedora Update System 2018-09-27 13:37:30 UTC
perl-re-engine-PCRE2-0.14-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8217a06c3a

Comment 8 Fedora Update System 2018-09-27 13:38:04 UTC
perl-re-engine-PCRE2-0.14-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-108cafe155

Comment 9 Fedora Update System 2018-09-27 16:40:58 UTC
perl-re-engine-PCRE2-0.14-6.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4fb5569365

Comment 10 Fedora Update System 2018-09-27 17:10:31 UTC
perl-re-engine-PCRE2-0.14-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-108cafe155

Comment 11 Fedora Update System 2018-09-27 18:41:10 UTC
perl-re-engine-PCRE2-0.14-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8217a06c3a

Comment 12 Fedora Update System 2018-10-30 17:15:45 UTC
perl-re-engine-PCRE2-0.14-6.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-10-31 15:24:28 UTC
perl-re-engine-PCRE2-0.14-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-10-31 15:51:11 UTC
perl-re-engine-PCRE2-0.14-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.